Subject: Re: bug#13127: [PATCH] cut: use only one data strucutre

From: "Alexandru Cojocaru" <[email-masked]>
Date: Fri, 26 Apr 2013 20:52:35 +0200

Hi,
sorry for the delay.

From: Pádraig Brady
> Sent: 04/26/13 04:07 PM
> To: [email-masked]
> Subject: Re: bug#13127: [PATCH] cut: use only one data strucutre

> The rebase wasn't trivial so I might have messed up.
Hum, I had problems only with `cut.pl'.

> The cut.pl test is now failing on master. Could you have a look.
I had no problems. Could you show me your output?

> Also could you add a test (or just a bit of shell) to demonstrate
> which options the memory is not allocated for example.
> Ideally some pathological option combo that no longer
> allocates huge amounts of RAM.
$ echo a | cut -b1-$(echo '2^32-1'|bc)
cut: memory exhausted

Could you please write the test? It seems that I should use $limits
but I don't know how exactly :-). Thanks.

> thanks,
> Pádraig.

Best regards,
Cojocaru Alexandru